/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package FunctionLayer.misc;

import DataLayer.DataMapper;
import FunctionLayer.CustomError;
import FunctionLayer.SimilarityMatrix;
import static FunctionLayer.MYSQLDatahandler.EXPIRE_TIME_IN_SECONDS;
import com.google.common.base.Stopwatch;
import com.google.common.collect.ArrayListMultimap;
import com.google.common.collect.MapMaker;
import com.google.common.collect.Multimap;
import java.io.IOException;
import java.sql.SQLException;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.TimeUnit;

/**
 *
 * @author install1
 */
public class SentimentSimilarityCacheObsolete {

    public static final long EXPIRE_TIME_IN_SECONDS = TimeUnit.SECONDS.convert(5, TimeUnit.HOURS);
    private static ConcurrentMap<String, List<SimilarityMatrix>> SimilarityMatrixCache;
    private static Stopwatch stopwatch;

    public SentimentSimilarityCacheObsolete(ConcurrentMap<Integer, String> StringCache, Stopwatch stopwatch) {
        this.stopwatch = Stopwatch.createUnstarted();
        this.SimilarityMatrixCache = new MapMaker().concurrencyLevel(2).makeMap();
    }

    public void clearConCurrentMaps() {
        SimilarityMatrixCache.clear();
    }

    private Multimap<String, SimilarityMatrix> getCache() throws SQLException, IOException, CustomError {
        List<SimilarityMatrix> matrixlist;
        matrixlist = DataMapper.getAllSementicMatrixes();
        Multimap<String, SimilarityMatrix> LHM =  ArrayListMultimap.create();
        for (int i = 0; i < matrixlist.size(); i++) {
            LHM.put(matrixlist.get(i).getPrimaryString(), matrixlist.get(i));
        }
        return LHM;
    }

    public static String getResponseStr(String strreturn) {
        String str = "";
        if (stopwatch.elapsed(TimeUnit.SECONDS) >= EXPIRE_TIME_IN_SECONDS || !stopwatch.isRunning()) {

            if (!stopwatch.isRunning()) {
                stopwatch.start();
            } else {
                stopwatch.reset();
            }
        }
        return str;
    }

}
