/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Presentation;

import FunctionLayer.Caching.GACaching;
import FunctionLayer.ErrorMessageDisplay;
import FunctionLayer.LogicFacade;
import FunctionLayer.MapBoard;
import FunctionLayer.RecentTimes;
import FunctionLayer.UserBanners;
import FunctionLayer.Users;
import java.beans.PropertyVetoException;
import java.io.IOException;
import java.sql.SQLException;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author install1
 */
public class DeleteIndex extends Command {

    @Override
    String execute(HttpServletRequest request, HttpServletResponse response) throws ErrorMessageDisplay {
        //throw new ErrorMessageDisplay("reached delete indes");
        HttpSession session = request.getSession();
        String playermap = (String) request.getParameter("PlayerRelatedMap");
        String SteamId = request.getParameter("DeleteIndexSteamID");
        LogicFacade.DeleteMapEntry(playermap, SteamId);
        try {
            GACaching.instance.UpdateDeletedEntries();
        } catch (SQLException | IOException | PropertyVetoException ex) {
            Logger.getLogger(DeleteIndex.class.getName()).log(Level.SEVERE, null, ex);
        }
        List<MapBoard> mapBoard = GACaching.instance.getAllMapValues();
        List<RecentTimes> recentTimes = GACaching.instance.getAllRecentTimes();
        List<UserBanners> UB = GACaching.instance.getUserBanners();
        List<Users> PlayerLeaderBoard = GACaching.instance.getAllPlayerValues();
        session.setAttribute("LeaderBoard", PlayerLeaderBoard);
        session.setAttribute("MapBoard", mapBoard);
        session.setAttribute("UserBanners", UB);
        session.setAttribute("RecentTimes", recentTimes);
        return "Content";
    }

}
